      SUBROUTINE DIPL2D(M,X,Y,XQ,YQ,POT,POTX,POTY,POTXX,POTXY,POTYY)
*----------------------------------------------------------------------*
*                                                                      *
*     POTENTIAL OF A 2-D DIPOLE IN X-DIRECTION WITH DERIVATIVES        *
*                                                                      *
*----------------------------------------------------------------------*
      PARAMETER (PI=3.1415927)
      REAL M
      DX=X-XQ
      DY=Y-YQ
      R2=DX**2+DY**2
      FAKTOR=M/(2.*PI*R2)
      POT = FAKTOR*DX
      POTX = FAKTOR-POT*2.*DX/R2
      POTY =       -POT*2.*DY/R2
      POTXX = (-6.+8.*DX**2/R2)*POT/R2
      POTXY = -2.*(DY*POTX+DX*POTY)/R2
      POTYY = -POTXX
      END
