      SUBROUTINE QUEL3D(LEVEL,M,X,Y,Z,XQ,YQ,ZQ,
     &           POTX,POTY,POTZ,POTXX,POTXY,POTXZ,POTYY,POTYZ,
     &           POTXXZ,POTXYZ,POTXZZ,POTYYZ,POTYZZ)
C.....single Rankine point source of strength M*A
      INTEGER LEVEL 
      REAL DX,DY,DZ, FAKTOR, M, POT,POTX,POTY,POTZ,POTXX,
     &     POTXY,POTXZ,POTYY,POTYZ,POTXXZ,POTXYZ,POTXZZ,POTYYZ,POTYZZ,
     &     R, R2, STORE, STORE2, STORE3, X,Y,Z, XQ,YQ,ZQ
      FAKTOR=-M/12.566371
      DX=X-XQ
      DY=Y-YQ
      DZ=Z-ZQ
      R2=DX**2+DY**2+DZ**2
      R=SQRT(R2)
      POT = FAKTOR/R
      IF (LEVEL.EQ.0) RETURN
      STORE = -2*POT/R2
      POTX = STORE*DX
      POTY = STORE*DY
      POTZ = STORE*DZ
      IF (LEVEL.EQ.1) RETURN
      STORE2 = -3./R2
      POTXX = STORE2*POTX*DX+STORE
      POTXY = STORE2*POTX*DY
      POTXZ = STORE2*POTX*DZ
      POTYY = STORE2*POTY*DY+STORE
      POTYZ = STORE2*POTY*DZ
      IF (LEVEL.EQ.2) RETURN
      STORE3 = -5*DZ/R2
      POTXXZ = (-0.4*STORE + POTXX)*STORE3
      POTXYZ =               POTXY*STORE3
      POTXZZ =               POTXZ*STORE3 + STORE2*POTX
      POTYYZ = (-0.4*STORE + POTYY)*STORE3
      POTYZZ =               POTYZ*STORE3 + STORE2*POTY
      END
