      SUBROUTINE WIRB2D(GAMMA,X,Y,XW,YW,POT,POTX,POTY,POTXX,POTXY,POTYY)
*----------------------------------------------------------------------*
*                                                                      *
*     POTENTIAL OF A 2-D VORTEX AND DERIVATIVES                        *
*     x,y     coordinates of field point                               *
*     xw, yw  coordinates of vortex                                    *
*                                                                      *
*----------------------------------------------------------------------*
      PARAMETER (PI=3.1415927)
      FAKTOR=GAMMA/(2*PI)
      DX=X-XW
      DY=Y-YW
      R2=DX**2+DY**2
      POT = -FAKTOR*ATAN2(DY,DX)
      POTX =  FAKTOR*DY/R2
      POTY = -FAKTOR*DX/R2
      POTXX = 2.*POTY*DY/R2
      POTXY = -(POTY*DX+POTX*DY)/R2
      POTYY = -POTXX
      END
