      SUBROUTINE RANK2D(LEVEL,M,X,Z,XQ,ZQ,
     &                  PX,PZ,PXX,PXZ,PZZ,PXXZ,PXZZ,PZZZ)
C.....2-D Rankine source of strength M
      IMPLICIT NONE
      INTEGER LEVEL
      REAL AUX, DX, DZ, FACTOR, M, PI, PX,PZ, PXX,PXZ,PZZ,
     &     PXXZ,PXZZ,PZZZ, R2, X, XQ, Z, ZQ
      PI = 3.141592654
      FACTOR = M/(4*PI)
      DX = X-XQ
      DZ = Z-ZQ
      R2 = DX**2+DZ**2
      IF (R2.EQ.0.) THEN
         WRITE(*,*) '>> Fatal error, singular distance in RANK2D'
         STOP
      END IF
      AUX = 2./R2
      PX = FACTOR*AUX*DX
      PZ = FACTOR*AUX*DZ
      IF (LEVEL.EQ.1) RETURN
      PXX = AUX*(FACTOR-DX*PX)
      PXZ = -AUX*DX*PZ
      PZZ = -PXX
      IF (LEVEL.EQ.2) RETURN
      PXXZ = -AUX*(PXX*DZ+PXZ*DX)
      PXZZ = -AUX*(PXZ*DZ+PZZ*DX)
      PZZZ = -PXXZ
      END
